# DataExchange
TKSTEP209
StepElement

# StepElement_Array2OfSurfaceElementPurpose Class Reference

`#include <StepElement_Array2OfSurfaceElementPurpose.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array2OfSurfaceElementPurpose (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepElement_Array2OfSurfaceElementPurpose (const StepElement_SurfaceElementPurpose &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const StepElement_SurfaceElementPurpose &V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array2OfSurfaceElementPurpose ()
Standard_EXPORT const StepElement_Array2OfSurfaceElementPurpose & | Assign (const StepElement_Array2OfSurfaceElementPurpose &Other)
const StepElement_Array2OfSurfaceElementPurpose & | operator= (const StepElement_Array2OfSurfaceElementPurpose &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const StepElement_SurfaceElementPurpose &Value)
const StepElement_SurfaceElementPurpose & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const StepElement_SurfaceElementPurpose & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
StepElement_SurfaceElementPurpose & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
StepElement_SurfaceElementPurpose & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | StepElement_Array2OfSurfaceElementPurpose (const StepElement_Array2OfSurfaceElementPurpose &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array2OfSurfaceElementPurpose::StepElement_Array2OfSurfaceElementPurpose | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepElement_Array2OfSurfaceElementPurpose::StepElement_Array2OfSurfaceElementPurpose | ( | const StepElement_SurfaceElementPurpose & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

StepElement_Array2OfSurfaceElementPurpose::~StepElement_Array2OfSurfaceElementPurpose | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array2OfSurfaceElementPurpose::StepElement_Array2OfSurfaceElementPurpose | ( | const StepElement_Array2OfSurfaceElementPurpose & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void StepElement_Array2OfSurfaceElementPurpose::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const StepElement_Array2OfSurfaceElementPurpose& StepElement_Array2OfSurfaceElementPurpose::Assign | ( | const StepElement_Array2OfSurfaceElementPurpose & | Other | ) |

StepElement_SurfaceElementPurpose& StepElement_Array2OfSurfaceElementPurpose::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::ColLength | ( |  | ) | const

Standard_EXPORT void StepElement_Array2OfSurfaceElementPurpose::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array2OfSurfaceElementPurpose::Init | ( | const StepElement_SurfaceElementPurpose & | V | ) |

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::LowerCol | ( |  | ) | const

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::LowerRow | ( |  | ) | const

void StepElement_Array2OfSurfaceElementPurpose::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array2OfSurfaceElementPurpose::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array2OfSurfaceElementPurpose::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepElement_SurfaceElementPurpose& StepElement_Array2OfSurfaceElementPurpose::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const StepElement_SurfaceElementPurpose& StepElement_Array2OfSurfaceElementPurpose::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const StepElement_Array2OfSurfaceElementPurpose& StepElement_Array2OfSurfaceElementPurpose::operator= | ( | const StepElement_Array2OfSurfaceElementPurpose & | Other | ) | `[inline]`

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::RowLength | ( |  | ) | const

void StepElement_Array2OfSurfaceElementPurpose::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const StepElement_SurfaceElementPurpose & | Value
| ) |

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::UpperCol | ( |  | ) | const

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::UpperRow | ( |  | ) | const

const StepElement_SurfaceElementPurpose& StepElement_Array2OfSurfaceElementPurpose::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address StepElement_Array2OfSurfaceElementPurpose::myData `[private]`

Standard_Boolean StepElement_Array2OfSurfaceElementPurpose::myDeletable `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::myLowerColumn `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::myLowerRow `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::myUpperColumn `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurpose::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- StepElement_Array2OfSurfaceElementPurpose.hxx